﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Compare_Password_Validation_ServerSide_MVC_Core.Models;

namespace Compare_Password_Validation_ServerSide_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(PersonModel person)
        {
            ViewBag.Password = person.Password;
            ViewBag.ConfirmPassword = person.ConfirmPassword;
            if (ModelState.IsValid)
            {
                // Validation success.

                ViewBag.Password = string.Empty;
                ViewBag.ConfirmPassword = string.Empty;
            }

            return View();
        }
    }
}
